<?php
/*-------------------------------------------------------+
| Filename: update.php
| Author: Mateusz Sieprawski - http://duner.info/
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once INFUSIONS."duner_newsletter/infusion_db.php";
require_once INCLUDES."infusions_include.php";

if(iADMIN) {
    
    $update = true;
    
    $result = dbquery("UPDATE `".DB_ADMIN."` SET admin_link='../infusions/duner_newsletter/admin/admin.php' WHERE admin_rights='R03'");
    if(!$result) $update = false;
    
    $result = dbquery("UPDATE `".DB_INFUSIONS."` SET inf_version='1.0' WHERE inf_folder='duner_newsletter'");
    if(!$result) $update = false;
    
    if($update) {
        
        $result = dbquery("CREATE TABLE `".DB_NEWSLETTER_OUT."` (
            out_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
            out_email VARCHAR(100) NOT NULL DEFAULT '',
            out_hash VARCHAR(32) NOT NULL DEFAULT '',
            PRIMARY KEY(out_id)
        ) ENGINE=MyISAM");
        
        $result = set_setting("text", "[i]Zapisz się do naszego darmowego newslettera! Wystarczy wpisać swój adres email i kliknąć Zapisz![/i]", "duner_newsletter");
        if(!$result) $update = false;
        $result = set_setting("wrong_email", "niepoprawny email", "duner_newsletter");
        if(!$result) $update = false;
        $result = set_setting("saved_email", "ten email jest już zapisany!", "duner_newsletter");
        if(!$result) $update = false;
        $result = set_setting("ok_email", "podano poprawny email", "duner_newsletter");
        if(!$result) $update = false;
        $result = set_setting("save_email", "Twój email został zapisany!", "duner_newsletter");
        if(!$result) $update = false;
        
        $result = set_setting("colorbox", 1, "duner_newsletter");
        if(!$result) $update = false;
        $result = set_setting("dynamic", 1, "duner_newsletter");
        if(!$result) $update = false;
        $result = set_setting("icons", 1, "duner_newsletter");
        if(!$result) $update = false;
        $result = set_setting("sign_out", 1, "duner_newsletter");
        if(!$result) $update = false;
        $result = set_setting("guests", 1, "duner_newsletter");
        if(!$result) $update = false;
        
        if(file_exists(INFUSIONS."duner_newsletter/admin.php")) {
            unlink(INFUSIONS."duner_newsletter/admin.php");
        }
        
        if($update) {
            echo "GRATULACJE! Wtyczka duner_newsletter zostala zaktualizowana. Od teraz posiadasz wtyczke duner_newsletter w wersji 1.0!<br />\n";
            echo "<strong>Pamietaj, aby usunac plik update.php z katalogu duner_newsletter.</strong>\n";
        } else {
            echo "Wystapil nieoczekiwany blad! Prosze sprobowac ponownie.<br />\n";
            echo "Jesli problem bedzie sie powtarzac, prosze skontaktowac sie ze mna pod adresem <a href='http://duner.pl/' target='_blank'>http://duner.pl/</a> podajac kod bledu - #024";
        }
        
    } else {
        echo "Wystapil nieoczekiwany blad! Prosze sprobowac ponownie.<br />\n";
        echo "Jesli problem bedzie sie powtarzac, prosze skontaktowac sie ze mna pod adresem <a href='http://duner.pl/' target='_blank'>http://duner.pl/</a> podajac kod bledu - #038";
    }
    
} else {
    echo "Aby aktualizowac musisz byc zalogowanym jako Super Administrator. <a href='".BASEDIR."login.php'>Zaloguj sie.</a>";
}
?>